Skip to main content
DELETE
/
v1
/
agents
/
{agent_id}
/
gateway
/
conversations
/
{conversation_id}
/
queue
/
{message_id}
Cancel Queued Message
curl --request DELETE \
  --url https://api.xpander.ai/v1/agents/{agent_id}/gateway/conversations/{conversation_id}/queue/{message_id} \
  --header 'x-api-key: <api-key>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}
Removes a single follow-up from the queue using the message_id returned by Send Conversation Message. See the Agent Gateway overview for the full conversation model.

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

agent_id
string
required
conversation_id
string
required
message_id
string
required

Response

Successful Response